Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 750899 - net-misc/teamviewer depends on deprecated dev-qt/qtwebkit:5
Summary: net-misc/teamviewer depends on deprecated dev-qt/qtwebkit:5
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2020-10-23 18:26 UTC by Andreas Sturmlechner
Modified: 2021-03-22 17:23 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-10-23 18:26:58 UTC
QtWebKit's time is limited now. Please inquire at upstream and inform them of the need to port away from it.
Comment 1 Jouni Kosonen 2020-10-25 12:33:15 UTC
Upstream seems to be aware: 

> Operating system: Linux
> Version: 15.7.4
> Release date: 2020-06-17
> Improved architecture: To make our architecture more future-proof we make use of Qt version 5.6 and QtWebEngine instead of QtWebKit.

https://community.teamviewer.com/t5/Previous-Insider-Builds-EN/Windows-15-7-4-macOS-15-7-4-Linux-15-7-4/td-p/95228
Comment 2 Jouni Kosonen 2020-10-25 13:58:40 UTC
Distribution packages for versions 15.9.5 and 15.10.5 are still built against QtWebKit, though.
Comment 3 Andreas Sturmlechner gentoo-dev 2021-01-10 14:53:01 UTC
(In reply to Jouni Kosonen from comment #2)
> Distribution packages for versions 15.9.5 and 15.10.5 are still built
> against QtWebKit, though.
I can't access your previous link, it is hidden behind login. Do you have a means to inquire at upstream about the state of their QtWebEngine efforts on Linux?
Comment 4 Jouni Kosonen 2021-01-13 13:09:24 UTC
(In reply to Andreas Sturmlechner from comment #3)
> (In reply to Jouni Kosonen from comment #2)
> > Distribution packages for versions 15.9.5 and 15.10.5 are still built
> > against QtWebKit, though.
> I can't access your previous link, it is hidden behind login. Do you have a
> means to inquire at upstream about the state of their QtWebEngine efforts on
> Linux?

None that would get any traction, unfortunately. There's an open support question[0] about this from November, though.

[0] https://community.teamviewer.com/English/discussion/comment/108175/#Comment_108175